List models available to an agent
curl --request GET \
--url https://api.matrices.com/v1/agents/{agentId}/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/agents/{agentId}/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"defaultModelId": "<string>",
"models": [
{
"apiFamily": "fake",
"contextWindowTokens": 123,
"cost": {
"input": 123,
"output": 123,
"cacheRead": 123,
"cacheWrite": 123,
"reasoning": 123,
"tiers": [
{
"contextOverTokens": 123,
"input": 123,
"output": 123,
"cacheRead": 123,
"cacheWrite": 123,
"reasoning": 123
}
]
},
"id": "<string>",
"inputModalities": [
"text"
],
"maxOutputTokens": 123,
"outputModalities": [
"text"
],
"provider": "fake",
"providerModel": "<string>",
"supportsThinking": true,
"supportsTools": true,
"cacheRetention": "none",
"reasoningEffort": "minimal",
"thinkingBudgetTokens": 123
}
],
"nextCursor": "<string>"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Models
List models available to an agent
Projects the agent profile’s selectors against current platform precedence and returns only concrete catalog targets.
GET
/
v1
/
agents
/
{agentId}
/
models
List models available to an agent
curl --request GET \
--url https://api.matrices.com/v1/agents/{agentId}/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/agents/{agentId}/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"defaultModelId": "<string>",
"models": [
{
"apiFamily": "fake",
"contextWindowTokens": 123,
"cost": {
"input": 123,
"output": 123,
"cacheRead": 123,
"cacheWrite": 123,
"reasoning": 123,
"tiers": [
{
"contextOverTokens": 123,
"input": 123,
"output": 123,
"cacheRead": 123,
"cacheWrite": 123,
"reasoning": 123
}
]
},
"id": "<string>",
"inputModalities": [
"text"
],
"maxOutputTokens": 123,
"outputModalities": [
"text"
],
"provider": "fake",
"providerModel": "<string>",
"supportsThinking": true,
"supportsTools": true,
"cacheRetention": "none",
"reasoningEffort": "minimal",
"thinkingBudgetTokens": 123
}
],
"nextCursor": "<string>"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
APIKeyBearerAgentLeaseBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.